net.minecraft.world

## Class Explosion

- java.lang.Object
- - net.minecraft.world.Explosion

-     public class Explosion
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List` | `affectedBlockPositions` A list of ChunkPositions of blocks affected by this explosion
    `Entity` | `exploder`
    `float` | `explosionSize`
    `double` | `explosionX`
    `double` | `explosionY`
    `double` | `explosionZ`
    `boolean` | `isFlaming` whether or not the explosion sets fire to blocks around it
    `boolean` | `isSmoking` whether or not this explosion spawns smoke particles

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Explosion(World par1World, Entity par2Entity, double par3, double par5, double par7, float par9)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doExplosionA()` Does the first part of the explosion (destroy blocks)
    `void` | `doExplosionB(boolean par1)` Does the second part of the explosion (sound, particles, drop spawn)
    `Map` | `func_77277_b()`
    `EntityLivingBase` | `getExplosivePlacedBy()` Returns either the entity that placed the explosive block, the entity that caused the explosion or null.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isFlaming

          public boolean isFlaming

      whether or not the explosion sets fire to blocks around it

    - #### isSmoking

          public boolean isSmoking

      whether or not this explosion spawns smoke particles

    - #### explosionX

          public double explosionX

    - #### explosionY

          public double explosionY

    - #### explosionZ

          public double explosionZ

    - #### exploder

          public Entity exploder

    - #### explosionSize

          public float explosionSize

    - #### affectedBlockPositions

          public List affectedBlockPositions

      A list of ChunkPositions of blocks affected by this explosion

  - ### Constructor Detail

    - #### Explosion

          public Explosion(World par1World,
                   Entity par2Entity,
                   double par3,
                   double par5,
                   double par7,
                   float par9)

  - ### Method Detail

    - #### doExplosionA

          public void doExplosionA()

      Does the first part of the explosion (destroy blocks)

    - #### doExplosionB

          public void doExplosionB(boolean par1)

      Does the second part of the explosion (sound, particles, drop spawn)

    - #### func_77277_b

          public Map func_77277_b()

    - #### getExplosivePlacedBy

          public EntityLivingBase getExplosivePlacedBy()

      Returns either the entity that placed the explosive block, the entity that caused the explosion or null.